Index: lib/ns_parse.c
===================================================================
--- lib/ns_parse.c	(revision 34afea7dd6b066a9e7153d16a8e386c7c90ffe87)
+++ lib/ns_parse.c	(revision eee3a5abe2092c11a4e592f03730dfbe966dc8b2)
@@ -39,5 +39,5 @@
 /* Forward. */
 
-static void	setsection(ns_msg *msg, ns_sect sect);
+static void     setsection(ns_msg *msg, ns_sect sect);
 
 /* Macros. */
@@ -47,9 +47,9 @@
 #else
 #define RETERR(err) \
-	do { errno = (err); if (errno == errno) return (-1); } while (0)
-#endif
-
-#define PARSE_FMT_PRESO 0	/* Parse using presentation-format names */
-#define PARSE_FMT_WIRE 1	/* Parse using network-format names */
+	do { errno = (err); if (errno == errno) { return (-1); } } while (0)
+#endif
+
+#define PARSE_FMT_PRESO 0       /* Parse using presentation-format names */
+#define PARSE_FMT_WIRE 1        /* Parse using network-format names */
 
 /* Public. */
@@ -57,52 +57,58 @@
 /* These need to be in the same order as the nres.h:ns_flag enum. */
 struct _ns_flagdata _ns_flagdata[16] = {
-	{ 0x8000, 15 },		/*%< qr. */
-	{ 0x7800, 11 },		/*%< opcode. */
-	{ 0x0400, 10 },		/*%< aa. */
-	{ 0x0200, 9 },		/*%< tc. */
-	{ 0x0100, 8 },		/*%< rd. */
-	{ 0x0080, 7 },		/*%< ra. */
-	{ 0x0040, 6 },		/*%< z. */
-	{ 0x0020, 5 },		/*%< ad. */
-	{ 0x0010, 4 },		/*%< cd. */
-	{ 0x000f, 0 },		/*%< rcode. */
-	{ 0x0000, 0 },		/*%< expansion (1/6). */
-	{ 0x0000, 0 },		/*%< expansion (2/6). */
-	{ 0x0000, 0 },		/*%< expansion (3/6). */
-	{ 0x0000, 0 },		/*%< expansion (4/6). */
-	{ 0x0000, 0 },		/*%< expansion (5/6). */
-	{ 0x0000, 0 },		/*%< expansion (6/6). */
+	{ 0x8000, 15 },         /*%< qr. */
+	{ 0x7800, 11 },         /*%< opcode. */
+	{ 0x0400, 10 },         /*%< aa. */
+	{ 0x0200, 9 },          /*%< tc. */
+	{ 0x0100, 8 },          /*%< rd. */
+	{ 0x0080, 7 },          /*%< ra. */
+	{ 0x0040, 6 },          /*%< z. */
+	{ 0x0020, 5 },          /*%< ad. */
+	{ 0x0010, 4 },          /*%< cd. */
+	{ 0x000f, 0 },          /*%< rcode. */
+	{ 0x0000, 0 },          /*%< expansion (1/6). */
+	{ 0x0000, 0 },          /*%< expansion (2/6). */
+	{ 0x0000, 0 },          /*%< expansion (3/6). */
+	{ 0x0000, 0 },          /*%< expansion (4/6). */
+	{ 0x0000, 0 },          /*%< expansion (5/6). */
+	{ 0x0000, 0 },          /*%< expansion (6/6). */
 };
 
-int ns_msg_getflag(ns_msg handle, int flag) {
+int ns_msg_getflag(ns_msg handle, int flag)
+{
 	return(((handle)._flags & _ns_flagdata[flag].mask) >> _ns_flagdata[flag].shift);
 }
 
 int
-ns_skiprr(const u_char *ptr, const u_char *eom, ns_sect section, int count) {
+ns_skiprr(const u_char *ptr, const u_char *eom, ns_sect section, int count)
+{
 	const u_char *optr = ptr;
 
-	for ((void)NULL; count > 0; count--) {
+	for ((void) NULL; count > 0; count--) {
 		int b, rdlength;
 
 		b = dn_skipname(ptr, eom);
-		if (b < 0)
-			RETERR(EMSGSIZE);
-		ptr += b/*Name*/ + NS_INT16SZ/*Type*/ + NS_INT16SZ/*Class*/;
+		if (b < 0) {
+			RETERR(EMSGSIZE);
+		}
+		ptr += b /*Name*/ + NS_INT16SZ /*Type*/ + NS_INT16SZ /*Class*/;
 		if (section != ns_s_qd) {
-			if (ptr + NS_INT32SZ + NS_INT16SZ > eom)
+			if (ptr + NS_INT32SZ + NS_INT16SZ > eom) {
 				RETERR(EMSGSIZE);
-			ptr += NS_INT32SZ/*TTL*/;
+			}
+			ptr += NS_INT32SZ /*TTL*/;
 			NS_GET16(rdlength, ptr);
-			ptr += rdlength/*RData*/;
-		}
-	}
-	if (ptr > eom)
-		RETERR(EMSGSIZE);
+			ptr += rdlength /*RData*/;
+		}
+	}
+	if (ptr > eom) {
+		RETERR(EMSGSIZE);
+	}
 	return (ptr - optr);
 }
 
 int
-ns_initparse(const u_char *msg, int msglen, ns_msg *handle) {
+ns_initparse(const u_char *msg, int msglen, ns_msg *handle)
+{
 	const u_char *eom = msg + msglen;
 	int i;
@@ -110,29 +116,35 @@
 	handle->_msg = msg;
 	handle->_eom = eom;
-	if (msg + NS_INT16SZ > eom)
-		RETERR(EMSGSIZE);
+	if (msg + NS_INT16SZ > eom) {
+		RETERR(EMSGSIZE);
+	}
 	NS_GET16(handle->_id, msg);
-	if (msg + NS_INT16SZ > eom)
-		RETERR(EMSGSIZE);
+	if (msg + NS_INT16SZ > eom) {
+		RETERR(EMSGSIZE);
+	}
 	NS_GET16(handle->_flags, msg);
 	for (i = 0; i < ns_s_max; i++) {
-		if (msg + NS_INT16SZ > eom)
-			RETERR(EMSGSIZE);
+		if (msg + NS_INT16SZ > eom) {
+			RETERR(EMSGSIZE);
+		}
 		NS_GET16(handle->_counts[i], msg);
 	}
-	for (i = 0; i < ns_s_max; i++)
-		if (handle->_counts[i] == 0)
+	for (i = 0; i < ns_s_max; i++) {
+		if (handle->_counts[i] == 0) {
 			handle->_sections[i] = NULL;
-		else {
-			int b = ns_skiprr(msg, eom, (ns_sect)i,
-					  handle->_counts[i]);
-
-			if (b < 0)
+		} else {
+			int b = ns_skiprr(msg, eom, (ns_sect) i,
+			                  handle->_counts[i]);
+
+			if (b < 0) {
 				return (-1);
+			}
 			handle->_sections[i] = msg;
 			msg += b;
 		}
-	if (msg != eom)
-		RETERR(EMSGSIZE);
+	}
+	if (msg != eom) {
+		RETERR(EMSGSIZE);
+	}
 	setsection(handle, ns_s_max);
 	return (0);
@@ -140,5 +152,6 @@
 
 int
-ns_parserr(ns_msg *handle, ns_sect section, int rrnum, ns_rr *rr) {
+ns_parserr(ns_msg *handle, ns_sect section, int rrnum, ns_rr *rr)
+{
 	int b;
 	int tmp;
@@ -146,22 +159,28 @@
 	/* Make section right. */
 	tmp = section;
-	if (tmp < 0 || section >= ns_s_max)
+	if (tmp < 0 || section >= ns_s_max) {
 		RETERR(ENODEV);
-	if (section != handle->_sect)
+	}
+	if (section != handle->_sect) {
 		setsection(handle, section);
+	}
 
 	/* Make rrnum right. */
-	if (rrnum == -1)
+	if (rrnum == -1) {
 		rrnum = handle->_rrnum;
-	if (rrnum < 0 || rrnum >= handle->_counts[(int)section])
+	}
+	if (rrnum < 0 || rrnum >= handle->_counts[(int) section]) {
 		RETERR(ENODEV);
-	if (rrnum < handle->_rrnum)
+	}
+	if (rrnum < handle->_rrnum) {
 		setsection(handle, section);
+	}
 	if (rrnum > handle->_rrnum) {
 		b = ns_skiprr(handle->_msg_ptr, handle->_eom, section,
-			      rrnum - handle->_rrnum);
-
-		if (b < 0)
+		              rrnum - handle->_rrnum);
+
+		if (b < 0) {
 			return (-1);
+		}
 		handle->_msg_ptr += b;
 		handle->_rrnum = rrnum;
@@ -170,10 +189,12 @@
 	/* Do the parse. */
 	b = dn_expand(handle->_msg, handle->_eom,
-		      handle->_msg_ptr, rr->name, NS_MAXDNAME);
-	if (b < 0)
+	              handle->_msg_ptr, rr->name, NS_MAXDNAME);
+	if (b < 0) {
 		return (-1);
+	}
 	handle->_msg_ptr += b;
-	if (handle->_msg_ptr + NS_INT16SZ + NS_INT16SZ > handle->_eom)
-		RETERR(EMSGSIZE);
+	if (handle->_msg_ptr + NS_INT16SZ + NS_INT16SZ > handle->_eom) {
+		RETERR(EMSGSIZE);
+	}
 	NS_GET16(rr->type, handle->_msg_ptr);
 	NS_GET16(rr->rr_class, handle->_msg_ptr);
@@ -183,15 +204,18 @@
 		rr->rdata = NULL;
 	} else {
-		if (handle->_msg_ptr + NS_INT32SZ + NS_INT16SZ > handle->_eom)
-			RETERR(EMSGSIZE);
+		if (handle->_msg_ptr + NS_INT32SZ + NS_INT16SZ > handle->_eom) {
+			RETERR(EMSGSIZE);
+		}
 		NS_GET32(rr->ttl, handle->_msg_ptr);
 		NS_GET16(rr->rdlength, handle->_msg_ptr);
-		if (handle->_msg_ptr + rr->rdlength > handle->_eom)
-			RETERR(EMSGSIZE);
+		if (handle->_msg_ptr + rr->rdlength > handle->_eom) {
+			RETERR(EMSGSIZE);
+		}
 		rr->rdata = handle->_msg_ptr;
 		handle->_msg_ptr += rr->rdlength;
 	}
-	if (++handle->_rrnum > handle->_counts[(int)section])
-		setsection(handle, (ns_sect)((int)section + 1));
+	if (++handle->_rrnum > handle->_counts[(int) section]) {
+		setsection(handle, (ns_sect) ((int) section + 1));
+	}
 
 	/* All done. */
@@ -202,5 +226,6 @@
 
 static void
-setsection(ns_msg *msg, ns_sect sect) {
+setsection(ns_msg *msg, ns_sect sect)
+{
 	msg->_sect = sect;
 	if (sect == ns_s_max) {
@@ -209,5 +234,5 @@
 	} else {
 		msg->_rrnum = 0;
-		msg->_msg_ptr = msg->_sections[(int)sect];
+		msg->_msg_ptr = msg->_sections[(int) sect];
 	}
 }
Index: lib/oauth.c
===================================================================
--- lib/oauth.c	(revision 34afea7dd6b066a9e7153d16a8e386c7c90ffe87)
+++ lib/oauth.c	(revision eee3a5abe2092c11a4e592f03730dfbe966dc8b2)
@@ -35,39 +35,39 @@
 #define HMAC_BLOCK_SIZE 64
 
-static char *oauth_sign( const char *method, const char *url,
-                         const char *params, struct oauth_info *oi )
+static char *oauth_sign(const char *method, const char *url,
+                        const char *params, struct oauth_info *oi)
 {
 	uint8_t hash[SHA1_HASH_SIZE];
-	GString *payload = g_string_new( "" );
+	GString *payload = g_string_new("");
 	char *key;
 	char *s;
-	
-	key = g_strdup_printf( "%s&%s", oi->sp->consumer_secret, oi->token_secret ? oi->token_secret : "" );
-	
-	g_string_append_printf( payload, "%s&", method );
-	
-	s = g_new0( char, strlen( url ) * 3 + 1 );
-	strcpy( s, url );
-	http_encode( s );
-	g_string_append_printf( payload, "%s&", s );
-	g_free( s );
-	
-	s = g_new0( char, strlen( params ) * 3 + 1 );
-	strcpy( s, params );
-	http_encode( s );
-	g_string_append( payload, s );
-	g_free( s );
-	
-	sha1_hmac( key, 0, payload->str, 0, hash );
-	
-	g_free( key );
-	g_string_free( payload, TRUE );
-	
-	/* base64_encode + HTTP escape it (both consumers 
+
+	key = g_strdup_printf("%s&%s", oi->sp->consumer_secret, oi->token_secret ? oi->token_secret : "");
+
+	g_string_append_printf(payload, "%s&", method);
+
+	s = g_new0(char, strlen(url) * 3 + 1);
+	strcpy(s, url);
+	http_encode(s);
+	g_string_append_printf(payload, "%s&", s);
+	g_free(s);
+
+	s = g_new0(char, strlen(params) * 3 + 1);
+	strcpy(s, params);
+	http_encode(s);
+	g_string_append(payload, s);
+	g_free(s);
+
+	sha1_hmac(key, 0, payload->str, 0, hash);
+
+	g_free(key);
+	g_string_free(payload, TRUE);
+
+	/* base64_encode + HTTP escape it (both consumers
 	   need it that away) and we're done. */
-	s = base64_encode( hash, SHA1_HASH_SIZE );
-	s = g_realloc( s, strlen( s ) * 3 + 1 );
-	http_encode( s );
-	
+	s = base64_encode(hash, SHA1_HASH_SIZE);
+	s = g_realloc(s, strlen(s) * 3 + 1);
+	http_encode(s);
+
 	return s;
 }
@@ -76,87 +76,91 @@
 {
 	unsigned char bytes[21];
-	random_bytes( bytes, sizeof( bytes ) );
-	return base64_encode( bytes, sizeof( bytes ) );
-}
-
-void oauth_params_add( GSList **params, const char *key, const char *value )
+
+	random_bytes(bytes, sizeof(bytes));
+	return base64_encode(bytes, sizeof(bytes));
+}
+
+void oauth_params_add(GSList **params, const char *key, const char *value)
 {
 	char *item;
-	
-	if( !key || !value )
+
+	if (!key || !value) {
 		return;
-	
-	item = g_strdup_printf( "%s=%s", key, value );
-	*params = g_slist_insert_sorted( *params, item, (GCompareFunc) strcmp );
-}
-
-void oauth_params_del( GSList **params, const char *key )
-{
-	int key_len = strlen( key );
+	}
+
+	item = g_strdup_printf("%s=%s", key, value);
+	*params = g_slist_insert_sorted(*params, item, (GCompareFunc) strcmp);
+}
+
+void oauth_params_del(GSList **params, const char *key)
+{
+	int key_len = strlen(key);
 	GSList *l, *n;
-	
-	if( params == NULL )
+
+	if (params == NULL) {
 		return;
-	
-	for( l = *params; l; l = n )
-	{
+	}
+
+	for (l = *params; l; l = n) {
 		n = l->next;
-		
-		if( strncmp( (char*) l->data, key, key_len ) == 0 &&
-		    ((char*)l->data)[key_len] == '=' )
-		{
-			g_free( l->data );
-			*params = g_slist_remove( *params, l->data );
-		}
-	}
-}
-
-void oauth_params_set( GSList **params, const char *key, const char *value )
-{
-	oauth_params_del( params, key );
-	oauth_params_add( params, key, value );
-}
-
-const char *oauth_params_get( GSList **params, const char *key )
-{
-	int key_len = strlen( key );
+
+		if (strncmp((char *) l->data, key, key_len) == 0 &&
+		    ((char *) l->data)[key_len] == '=') {
+			g_free(l->data);
+			*params = g_slist_remove(*params, l->data);
+		}
+	}
+}
+
+void oauth_params_set(GSList **params, const char *key, const char *value)
+{
+	oauth_params_del(params, key);
+	oauth_params_add(params, key, value);
+}
+
+const char *oauth_params_get(GSList **params, const char *key)
+{
+	int key_len = strlen(key);
 	GSList *l;
-	
-	if( params == NULL )
+
+	if (params == NULL) {
 		return NULL;
-	
-	for( l = *params; l; l = l->next )
-	{
-		if( strncmp( (char*) l->data, key, key_len ) == 0 &&
-		    ((char*)l->data)[key_len] == '=' )
-			return (const char*) l->data + key_len + 1;
-	}
-	
+	}
+
+	for (l = *params; l; l = l->next) {
+		if (strncmp((char *) l->data, key, key_len) == 0 &&
+		    ((char *) l->data)[key_len] == '=') {
+			return (const char *) l->data + key_len + 1;
+		}
+	}
+
 	return NULL;
 }
 
-void oauth_params_parse( GSList **params, char *in )
+void oauth_params_parse(GSList **params, char *in)
 {
 	char *amp, *eq, *s;
-	
-	while( in && *in )
-	{
-		eq = strchr( in, '=' );
-		if( !eq )
+
+	while (in && *in) {
+		eq = strchr(in, '=');
+		if (!eq) {
 			break;
-		
+		}
+
 		*eq = '\0';
-		if( ( amp = strchr( eq + 1, '&' ) ) )
+		if ((amp = strchr(eq + 1, '&'))) {
 			*amp = '\0';
-		
-		s = g_strdup( eq + 1 );
-		http_decode( s );
-		oauth_params_add( params, in, s );
-		g_free( s );
-		
+		}
+
+		s = g_strdup(eq + 1);
+		http_decode(s);
+		oauth_params_add(params, in, s);
+		g_free(s);
+
 		*eq = '=';
-		if( amp == NULL )
+		if (amp == NULL) {
 			break;
-		
+		}
+
 		*amp = '&';
 		in = amp + 1;
@@ -164,68 +168,67 @@
 }
 
-void oauth_params_free( GSList **params )
-{
-	while( params && *params )
-	{
-		g_free( (*params)->data );
-		*params = g_slist_remove( *params, (*params)->data );
-	}
-}
-
-char *oauth_params_string( GSList *params )
+void oauth_params_free(GSList **params)
+{
+	while (params && *params) {
+		g_free((*params)->data);
+		*params = g_slist_remove(*params, (*params)->data);
+	}
+}
+
+char *oauth_params_string(GSList *params)
 {
 	GSList *l;
-	GString *str = g_string_new( "" );
-	
-	for( l = params; l; l = l->next )
-	{
+	GString *str = g_string_new("");
+
+	for (l = params; l; l = l->next) {
 		char *s, *eq;
-		
-		s = g_malloc( strlen( l->data ) * 3 + 1 );
-		strcpy( s, l->data );
-		if( ( eq = strchr( s, '=' ) ) )
-			http_encode( eq + 1 );
-		g_string_append( str, s );
-		g_free( s );
-		
-		if( l->next )
-			g_string_append_c( str, '&' );
-	}
-	
-	return g_string_free( str, FALSE );
-}
-
-void oauth_info_free( struct oauth_info *info )
-{
-	if( info )
-	{
-		g_free( info->auth_url );
-		g_free( info->request_token );
-		g_free( info->token );
-		g_free( info->token_secret );
-		oauth_params_free( &info->params );
-		g_free( info );
-	}
-}
-
-static void oauth_add_default_params( GSList **params, const struct oauth_service *sp )
+
+		s = g_malloc(strlen(l->data) * 3 + 1);
+		strcpy(s, l->data);
+		if ((eq = strchr(s, '='))) {
+			http_encode(eq + 1);
+		}
+		g_string_append(str, s);
+		g_free(s);
+
+		if (l->next) {
+			g_string_append_c(str, '&');
+		}
+	}
+
+	return g_string_free(str, FALSE);
+}
+
+void oauth_info_free(struct oauth_info *info)
+{
+	if (info) {
+		g_free(info->auth_url);
+		g_free(info->request_token);
+		g_free(info->token);
+		g_free(info->token_secret);
+		oauth_params_free(&info->params);
+		g_free(info);
+	}
+}
+
+static void oauth_add_default_params(GSList **params, const struct oauth_service *sp)
 {
 	char *s;
-	
-	oauth_params_set( params, "oauth_consumer_key", sp->consumer_key );
-	oauth_params_set( params, "oauth_signature_method", "HMAC-SHA1" );
-	
-	s = g_strdup_printf( "%d", (int) time( NULL ) );
-	oauth_params_set( params, "oauth_timestamp", s );
-	g_free( s );
-	
+
+	oauth_params_set(params, "oauth_consumer_key", sp->consumer_key);
+	oauth_params_set(params, "oauth_signature_method", "HMAC-SHA1");
+
+	s = g_strdup_printf("%d", (int) time(NULL));
+	oauth_params_set(params, "oauth_timestamp", s);
+	g_free(s);
+
 	s = oauth_nonce();
-	oauth_params_set( params, "oauth_nonce", s );
-	g_free( s );
-	
-	oauth_params_set( params, "oauth_version", "1.0" );
-}
-
-static void *oauth_post_request( const char *url, GSList **params_, http_input_function func, struct oauth_info *oi )
+	oauth_params_set(params, "oauth_nonce", s);
+	g_free(s);
+
+	oauth_params_set(params, "oauth_version", "1.0");
+}
+
+static void *oauth_post_request(const char *url, GSList **params_, http_input_function func, struct oauth_info *oi)
 {
 	GSList *params = NULL;
@@ -233,197 +236,193 @@
 	void *req;
 	url_t url_p;
-	
-	if( !url_set( &url_p, url ) )
-	{
-		oauth_params_free( params_ );
+
+	if (!url_set(&url_p, url)) {
+		oauth_params_free(params_);
 		return NULL;
 	}
-	
-	if( params_ )
+
+	if (params_) {
 		params = *params_;
-	
-	oauth_add_default_params( &params, oi->sp );
-	
-	params_s = oauth_params_string( params );
-	oauth_params_free( &params );
-	
-	s = oauth_sign( "POST", url, params_s, oi );
-	post = g_strdup_printf( "%s&oauth_signature=%s", params_s, s );
-	g_free( params_s );
-	g_free( s );
-	
-	s = g_strdup_printf( "POST %s HTTP/1.0\r\n"
-	                     "Host: %s\r\n"
-	                     "Content-Type: application/x-www-form-urlencoded\r\n"
-	                     "Content-Length: %zd\r\n"
-	                     "\r\n"
-	                     "%s", url_p.file, url_p.host, strlen( post ), post );
-	g_free( post );
-	
-	req = http_dorequest( url_p.host, url_p.port, url_p.proto == PROTO_HTTPS,
-	                      s, func, oi );
-	g_free( s );
-	
+	}
+
+	oauth_add_default_params(&params, oi->sp);
+
+	params_s = oauth_params_string(params);
+	oauth_params_free(&params);
+
+	s = oauth_sign("POST", url, params_s, oi);
+	post = g_strdup_printf("%s&oauth_signature=%s", params_s, s);
+	g_free(params_s);
+	g_free(s);
+
+	s = g_strdup_printf("POST %s HTTP/1.0\r\n"
+	                    "Host: %s\r\n"
+	                    "Content-Type: application/x-www-form-urlencoded\r\n"
+	                    "Content-Length: %zd\r\n"
+	                    "\r\n"
+	                    "%s", url_p.file, url_p.host, strlen(post), post);
+	g_free(post);
+
+	req = http_dorequest(url_p.host, url_p.port, url_p.proto == PROTO_HTTPS,
+	                     s, func, oi);
+	g_free(s);
+
 	return req;
 }
 
-static void oauth_request_token_done( struct http_request *req );
-
-struct oauth_info *oauth_request_token( const struct oauth_service *sp, oauth_cb func, void *data )
-{
-	struct oauth_info *st = g_new0( struct oauth_info, 1 );
+static void oauth_request_token_done(struct http_request *req);
+
+struct oauth_info *oauth_request_token(const struct oauth_service *sp, oauth_cb func, void *data)
+{
+	struct oauth_info *st = g_new0(struct oauth_info, 1);
 	GSList *params = NULL;
-	
+
 	st->func = func;
 	st->data = data;
 	st->sp = sp;
-	
-	oauth_params_add( &params, "oauth_callback", "oob" );
-	
-	if( !oauth_post_request( sp->url_request_token, &params, oauth_request_token_done, st ) )
-	{
-		oauth_info_free( st );
+
+	oauth_params_add(&params, "oauth_callback", "oob");
+
+	if (!oauth_post_request(sp->url_request_token, &params, oauth_request_token_done, st)) {
+		oauth_info_free(st);
 		return NULL;
 	}
-	
+
 	return st;
 }
 
-static void oauth_request_token_done( struct http_request *req )
+static void oauth_request_token_done(struct http_request *req)
 {
 	struct oauth_info *st = req->data;
-	
+
 	st->http = req;
-	
-	if( req->status_code == 200 )
-	{
+
+	if (req->status_code == 200) {
 		GSList *params = NULL;
-		
-		st->auth_url = g_strdup_printf( "%s?%s", st->sp->url_authorize, req->reply_body );
-		oauth_params_parse( &params, req->reply_body );
-		st->request_token = g_strdup( oauth_params_get( &params, "oauth_token" ) );
-		st->token_secret = g_strdup( oauth_params_get( &params, "oauth_token_secret" ) );
-		oauth_params_free( &params );
-	}
-	
+
+		st->auth_url = g_strdup_printf("%s?%s", st->sp->url_authorize, req->reply_body);
+		oauth_params_parse(&params, req->reply_body);
+		st->request_token = g_strdup(oauth_params_get(&params, "oauth_token"));
+		st->token_secret = g_strdup(oauth_params_get(&params, "oauth_token_secret"));
+		oauth_params_free(&params);
+	}
+
 	st->stage = OAUTH_REQUEST_TOKEN;
-	st->func( st );
-}
-
-static void oauth_access_token_done( struct http_request *req );
-
-gboolean oauth_access_token( const char *pin, struct oauth_info *st )
+	st->func(st);
+}
+
+static void oauth_access_token_done(struct http_request *req);
+
+gboolean oauth_access_token(const char *pin, struct oauth_info *st)
 {
 	GSList *params = NULL;
-	
-	oauth_params_add( &params, "oauth_token", st->request_token );
-	oauth_params_add( &params, "oauth_verifier", pin );
-	
-	return oauth_post_request( st->sp->url_access_token, &params, oauth_access_token_done, st ) != NULL;
-}
-
-static void oauth_access_token_done( struct http_request *req )
+
+	oauth_params_add(&params, "oauth_token", st->request_token);
+	oauth_params_add(&params, "oauth_verifier", pin);
+
+	return oauth_post_request(st->sp->url_access_token, &params, oauth_access_token_done, st) != NULL;
+}
+
+static void oauth_access_token_done(struct http_request *req)
 {
 	struct oauth_info *st = req->data;
-	
+
 	st->http = req;
-	
-	if( req->status_code == 200 )
-	{
-		oauth_params_parse( &st->params, req->reply_body );
-		st->token = g_strdup( oauth_params_get( &st->params, "oauth_token" ) );
-		g_free( st->token_secret );
-		st->token_secret = g_strdup( oauth_params_get( &st->params, "oauth_token_secret" ) );
-	}
-	
+
+	if (req->status_code == 200) {
+		oauth_params_parse(&st->params, req->reply_body);
+		st->token = g_strdup(oauth_params_get(&st->params, "oauth_token"));
+		g_free(st->token_secret);
+		st->token_secret = g_strdup(oauth_params_get(&st->params, "oauth_token_secret"));
+	}
+
 	st->stage = OAUTH_ACCESS_TOKEN;
-	if( st->func( st ) )
-	{
+	if (st->func(st)) {
 		/* Don't need these anymore, but keep the rest. */
-		g_free( st->auth_url );
+		g_free(st->auth_url);
 		st->auth_url = NULL;
-		g_free( st->request_token );
+		g_free(st->request_token);
 		st->request_token = NULL;
-		oauth_params_free( &st->params );
-	}
-}
-
-char *oauth_http_header( struct oauth_info *oi, const char *method, const char *url, char *args )
+		oauth_params_free(&st->params);
+	}
+}
+
+char *oauth_http_header(struct oauth_info *oi, const char *method, const char *url, char *args)
 {
 	GSList *params = NULL, *l;
 	char *sig = NULL, *params_s, *s;
 	GString *ret = NULL;
-	
-	oauth_params_add( &params, "oauth_token", oi->token );
-	oauth_add_default_params( &params, oi->sp );
-	
+
+	oauth_params_add(&params, "oauth_token", oi->token);
+	oauth_add_default_params(&params, oi->sp);
+
 	/* Start building the OAuth header. 'key="value", '... */
-	ret = g_string_new( "OAuth " );
-	for( l = params; l; l = l->next )
-	{
+	ret = g_string_new("OAuth ");
+	for (l = params; l; l = l->next) {
 		char *kv = l->data;
-		char *eq = strchr( kv, '=' );
-		char esc[strlen(kv)*3+1];
-		
-		if( eq == NULL )
+		char *eq = strchr(kv, '=');
+		char esc[strlen(kv) * 3 + 1];
+
+		if (eq == NULL) {
 			break; /* WTF */
-		
-		strcpy( esc, eq + 1 );
-		http_encode( esc );
-		
-		g_string_append_len( ret, kv, eq - kv + 1 );
-		g_string_append_c( ret, '"' );
-		g_string_append( ret, esc );
-		g_string_append( ret, "\", " );
-	}
-	
+
+		}
+		strcpy(esc, eq + 1);
+		http_encode(esc);
+
+		g_string_append_len(ret, kv, eq - kv + 1);
+		g_string_append_c(ret, '"');
+		g_string_append(ret, esc);
+		g_string_append(ret, "\", ");
+	}
+
 	/* Now, before generating the signature, add GET/POST arguments to params
 	   since they should be included in the base signature string (but not in
 	   the HTTP header). */
-	if( args )
-		oauth_params_parse( &params, args );
-	if( ( s = strchr( url, '?' ) ) )
-	{
-		s = g_strdup( s + 1 );
-		oauth_params_parse( &params, s );
-		g_free( s );
-	}
-	
+	if (args) {
+		oauth_params_parse(&params, args);
+	}
+	if ((s = strchr(url, '?'))) {
+		s = g_strdup(s + 1);
+		oauth_params_parse(&params, s);
+		g_free(s);
+	}
+
 	/* Append the signature and we're done! */
-	params_s = oauth_params_string( params );
-	sig = oauth_sign( method, url, params_s, oi );
-	g_string_append_printf( ret, "oauth_signature=\"%s\"", sig );
-	g_free( params_s );
-	
-	oauth_params_free( &params );
-	g_free( sig );
-	
-	return ret ? g_string_free( ret, FALSE ) : NULL;
-}
-
-char *oauth_to_string( struct oauth_info *oi )
+	params_s = oauth_params_string(params);
+	sig = oauth_sign(method, url, params_s, oi);
+	g_string_append_printf(ret, "oauth_signature=\"%s\"", sig);
+	g_free(params_s);
+
+	oauth_params_free(&params);
+	g_free(sig);
+
+	return ret ? g_string_free(ret, FALSE) : NULL;
+}
+
+char *oauth_to_string(struct oauth_info *oi)
 {
 	GSList *params = NULL;
 	char *ret;
-	
-	oauth_params_add( &params, "oauth_token", oi->token );
-	oauth_params_add( &params, "oauth_token_secret", oi->token_secret );
-	ret = oauth_params_string( params );
-	oauth_params_free( &params );
-	
+
+	oauth_params_add(&params, "oauth_token", oi->token);
+	oauth_params_add(&params, "oauth_token_secret", oi->token_secret);
+	ret = oauth_params_string(params);
+	oauth_params_free(&params);
+
 	return ret;
 }
 
-struct oauth_info *oauth_from_string( char *in, const struct oauth_service *sp )
-{
-	struct oauth_info *oi = g_new0( struct oauth_info, 1 );
+struct oauth_info *oauth_from_string(char *in, const struct oauth_service *sp)
+{
+	struct oauth_info *oi = g_new0(struct oauth_info, 1);
 	GSList *params = NULL;
-	
-	oauth_params_parse( &params, in );
-	oi->token = g_strdup( oauth_params_get( &params, "oauth_token" ) );
-	oi->token_secret = g_strdup( oauth_params_get( &params, "oauth_token_secret" ) );
-	oauth_params_free( &params );
+
+	oauth_params_parse(&params, in);
+	oi->token = g_strdup(oauth_params_get(&params, "oauth_token"));
+	oi->token_secret = g_strdup(oauth_params_get(&params, "oauth_token_secret"));
+	oauth_params_free(&params);
 	oi->sp = sp;
-	
+
 	return oi;
 }
Index: lib/oauth.h
===================================================================
--- lib/oauth.h	(revision 34afea7dd6b066a9e7153d16a8e386c7c90ffe87)
+++ lib/oauth.h	(revision eee3a5abe2092c11a4e592f03730dfbe966dc8b2)
@@ -28,8 +28,7 @@
 /* Callback function called twice during the access token request process.
    Return FALSE if something broke and the process must be aborted. */
-typedef gboolean (*oauth_cb)( struct oauth_info * );
+typedef gboolean (*oauth_cb)(struct oauth_info *);
 
-typedef enum
-{
+typedef enum {
 	OAUTH_INIT,
 	OAUTH_REQUEST_TOKEN,
@@ -37,17 +36,16 @@
 } oauth_stage_t;
 
-struct oauth_info
-{
+struct oauth_info {
 	oauth_stage_t stage;
 	const struct oauth_service *sp;
-	
+
 	oauth_cb func;
 	void *data;
-	
+
 	struct http_request *http;
-	
+
 	char *auth_url;
 	char *request_token;
-	
+
 	char *token;
 	char *token_secret;
@@ -55,19 +53,18 @@
 };
 
-struct oauth_service
-{
+struct oauth_service {
 	char *url_request_token;
 	char *url_access_token;
 	char *url_authorize;
-	
+
 	char *consumer_key;
 	char *consumer_secret;
 };
 
-/* http://oauth.net/core/1.0a/#auth_step1 (section 6.1) 
+/* http://oauth.net/core/1.0a/#auth_step1 (section 6.1)
    Request an initial anonymous token which can be used to construct an
    authorization URL for the user. This is passed to the callback function
    in a struct oauth_info. */
-struct oauth_info *oauth_request_token( const struct oauth_service *sp, oauth_cb func, void *data );
+struct oauth_info *oauth_request_token(const struct oauth_service *sp, oauth_cb func, void *data);
 
 /* http://oauth.net/core/1.0a/#auth_step3 (section 6.3)
@@ -75,5 +72,5 @@
    token. This is passed to the callback function in the same
    struct oauth_info. */
-gboolean oauth_access_token( const char *pin, struct oauth_info *st );
+gboolean oauth_access_token(const char *pin, struct oauth_info *st);
 
 /* http://oauth.net/core/1.0a/#anchor12 (section 7)
@@ -82,18 +79,18 @@
    whatever's going to be in the POST body of the request. GET args will
    automatically be grabbed from url. */
-char *oauth_http_header( struct oauth_info *oi, const char *method, const char *url, char *args );
+char *oauth_http_header(struct oauth_info *oi, const char *method, const char *url, char *args);
 
 /* Shouldn't normally be required unless the process is aborted by the user. */
-void oauth_info_free( struct oauth_info *info );
+void oauth_info_free(struct oauth_info *info);
 
 /* Convert to and back from strings, for easier saving. */
-char *oauth_to_string( struct oauth_info *oi );
-struct oauth_info *oauth_from_string( char *in, const struct oauth_service *sp );
+char *oauth_to_string(struct oauth_info *oi);
+struct oauth_info *oauth_from_string(char *in, const struct oauth_service *sp);
 
 /* For reading misc. data. */
-void oauth_params_add( GSList **params, const char *key, const char *value );
-void oauth_params_parse( GSList **params, char *in );
-void oauth_params_free( GSList **params );
-char *oauth_params_string( GSList *params );
-void oauth_params_set( GSList **params, const char *key, const char *value );
-const char *oauth_params_get( GSList **params, const char *key );
+void oauth_params_add(GSList **params, const char *key, const char *value);
+void oauth_params_parse(GSList **params, char *in);
+void oauth_params_free(GSList **params);
+char *oauth_params_string(GSList *params);
+void oauth_params_set(GSList **params, const char *key, const char *value);
+const char *oauth_params_get(GSList **params, const char *key);
